# **THE TREK**
# **Hiking Partner And Health Inspector**
# **Project Id: 23-126**

## **Main objective**
The main objective of this research project is to promote the tourism industry from the uniqueness and attraction given by the people to the travel destinations and combining the move-to-earn concept with the hiking destinations by giving rewards to the users and enhance the industry by supporting both users and the people who are directly and indirectly depend on the tourism industry. With combination of activity recognition and health monitoring users can use this app for health purposes also.

## **Main Research Questions**
•	How can we increase the motivation among hikers? By giving customizable rewards or personalized rewards? 
•	What is the most effective approach to activity recognition using wearable sensors and machine learning algorithms? Using that algorithm how identified activities users engaging? 
•	How to develop IOT wearable which can carry while travelling without convenience and design the device which can predict heart rate and the burned calorie level as accurately as possible. 

## **Individual research question**

### **IT18047820 – Recommendation System.**
How to provide personalized travel destination recommendations?
How to catch users’ preferences when providing recommendations?
How to utilize video content and behavioral signals to provide personalized recommendations to users?


### **IT20019204 – Activity Recognition.**
How to identify what are the activities users are engaging in 
How to collect activity data?
Can a mobile application that incorporates activity recognition and social media integration effectively promote physical activity among users who are not engaging in physical activity for an extended period?


### **IT20168186 – Health Monitoring.**
How to design IOT device which can track the pulse rate of the user correctly as much as possible?
How to develop the IOT wearable which can carried while travelling without any convenience?
How to develop the system which can provide the burned calorie level and hydration level as accurately as possible through the activities they are doing while the travelling?

### **IT20212018 – Rewarding System.**
How to give rewards in an effective manner?
How do we use Geo-location-based mile markers for reward giving?

## **Individual Objectives**

### **IT18047820 – Recommendation System.**

***Main Objective***
The main objective of this research component is to design and develop a travel destination recommending system that utilizes video contents to provide personalized recommendations to users.

***Sub Objective***
•	To promote the tourism industry
•	To provide personalized recommendations to users
•	To improve the recommendation process over time
•	To enhance user experience
•	To increase user engagement
•	To incorporate user feedback: 
•	To provide a unique approach to travel destination recommendations

### **IT20019204 – Activity Recognition.**

***Main Objective***
To develop a mobile application that incorporates activity recognition and social media integration to encourage users to engage in physical activity.

***Sub Objective***
•	Identify relevant physical activity behavior.
•	To collect data on physical activity behavior at baseline, during the intervention period, and at follow-up.
•	To determine the appropriate sensor data and machine learning algorithms for accurate activity recognition.
•	To recruit a sample of users who are not engaging in physical activity for an extended period.
•	To design the user interface and user experience of the mobile application to be engaging and user-friendly.

### **IT20168186 – Health Monitoring.**

***Main Objective***
The main objective of this project proposal is to design a wearable which could detect the user health more efficiently and provide more accurate output to the users through user friendly android app to recognize their health condition easily while travelling.

***Sub Objective***
•	Design the IOT wearable as much as user friendly way to wear without any inconvenience while travelling. 
•	Provide user friendly interface and notify user when the health conditions such as hydration level and calorie level are getting low for a period of time. 
•	Informing user with a voice message when user gets dehydrated while travelling. Notification must be occurred when user’s hydration level gets low for a period of time. 
•	Suggesting food items that are suitable for include for the meal or snack according to the needed calorie level of the user.


### **IT20212018 – Rewarding System.**

***Main Objective***
The app aims to create a community of active outdoor enthusiasts by encouraging hikers to embark on difficult paths. The software offers hikers a place to communicate, exchange stories, and find new trails.

***Sub Objective***
•	To reduce deaths caused by hikers who choose extremely dangerous trails rather than moderate levels of difficulty trails.
•	Providing information about hiking trails. 
•	Offering rewards and incentives.
•	Promoting a healthy lifestyle. 
•	Encouraging users to hike more.
•	Provide a platform for users to track their hiking progress and set goals to achieve.

## **Other necessary information**
Leader  :  Fernando A.R.V.S			IT18047820
Member 2:  Hulangamuwa R.R.W.G.B.P.P.M	IT20212018
Member 3:  Weesinghe W.M.P.D			IT20019204
Member 4:  Wijewardhana K.J.S			IT20168186

Supervisor: Ms. Suriyaa Kumari
Co-Supervisor: Ms. Dulani Maheshika

Research group the project belongs to - Computing for Inclusive and Equitable Society (CIEC)

Research area the project belongs to - ICT for Development (ICTD)



## **Research Project Introduction**

The proposed project idea is to develop a mobile application which is mainly focusing for serving tourism industry by combining move-to-earn concept with it and attracting people from uniqueness and attraction given by them to the travel destinations who are interested in exploring new places and new destinations for travelling. 
Through this project the Main problem the research team is trying to solve is the dropdown of tourism industry as a consequence of the coronavirus (COVID-19) pandemic and the economic impact of the Russia-Ukraine War, for instance, and supply chain disruption. .[1]  After being stuck by lockdowns and emergency measures enacted during the pandemic and the industries commonly associated with the travel and tourism industry sector -transportation, hospitality collapsed and it should take some time to grow, but during that time the Russia-Ukraine war came to the picture, and then it mainly affected to the supply chains and it caused to the dramatic increase in global inflation, because of that the sharp increase in consumer prices, oil prices, energy and foods mainly effected to the people who are seeking for travelling and planning on travelling, that directly and indirectly affected to the travel and tourism worldwide.[2] As well as the statistics of world tourism data clearly shows that international arrivals by world region wise and country wise there is a significant drop since 2019. [3]
Furthermore, the research team also identified that there is a considerable number of increases in the obesity by observing the world health data. [4] A reason for that research team identified during the pandemic whole world had used to work from home and many of us ate more junk foods, exercise less and were more anxious and got less sleep, and after that many industries and also the employees have identified that work from home concept is good and they attached it to their industries to minimize the extra costs they had to handle. But there is a side effect to the people, by working from home people have used to eat more junk foods, and exercising less, therefore it caused to weight gains, the statistics of the world health data shows that the increase in the share of adults who are overweight or obese since 2019. [5]

[1]
UNWTO, “Impact assessment of the COVID-19 outbreak on international tourism | UNWTO,” www.unwto.org, Dec. 2020. https://www.unwto.org/impact-assessment-of-the-covid-19-outbreak-on-international-tourism

[2]
M. K. Rahman, Md. A. I. Gazi, M. A. Bhuiyan, and Md. A. Rahaman, “Effect of Covid-19 pandemic on tourist travel risk and management perceptions,” PLOS ONE, vol. 16, no. 9, p. e0256486, Sep. 2021, doi: https://doi.org/10.1371/journal.pone.0256486.

[3]
M. Roser, “Tourism,” Our World in Data, 2020. https://ourworldindata.org/tourism

[4]
H. Ritchie and M. Roser, “Obesity,” Our World in Data, 2021. https://ourworldindata.org/obesity

‌[5]
T. text provides general information S. assumes no liability for the information given being complete or correct D. to varying update cycles and S. C. D. M. up-to-Date D. T. R. in the Text, “Topic: Impact of inflation on travel and tourism worldwide,” Statista. https://www.statista.com/topics/9662/impact-of-inflation-on-travel-and-tourism-worldwide/

